CairoContext::clip
CairoContext::clipPreserve
CairoContext
PHP Manual

# CairoContext::clipExtents

# cairo_clip_extents

Computes the area inside the current clip

### Description

Object oriented style (method):

public array CairoContext::clipExtents ( void )

Procedural style:

array cairo_clip_extents ( CairoContext `$context` )

Computes a bounding box in user coordinates covering the area inside the current clip.

### Parameters

`context`

  A valid CairoContext object

### Return Values

An array containing the (float)x1, (float)y1, (float)x2, (float)y2, coordinates covering the area inside the current clip

### Examples

Example #1 Object oriented style

`<?php
$surface = new CairoImageSurface(CairoFormat::ARGB32, 50, 50);
$context = new CairoContext($surface);
var_dump($context->clipExtents());
?>`

The above example will output something similar to:

    array(4) {
      [0]=>
      float(0)
      [1]=>
      float(0)
      [2]=>
      float(50)
      [3]=>
      float(50)
    }

Example #2 Procedural style

`<?php
$surface = cairo_image_surface_create(CAIRO_FORMAT_ARGB32, 50, 50);
$context = cairo_create($surface);
var_dump(cairo_clip_extents($context));
?>`

The above example will output something similar to:

    array(4) {
      [0]=>
      float(0)
      [1]=>
      float(0)
      [2]=>
      float(50)
      [3]=>
      float(50)
    }

### See Also

- CairoContext::clip